import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import AmazonLogoLight from './AmazonLogoLight';
import AmazonLogoDark from './AmazonLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const AmazonLogoSvg = forwardRef(function AmazonLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(AmazonLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(AmazonLogoLight, Object.assign({}, props, { ref: ref })));
});
export default AmazonLogoSvg;
